#ifndef APPWIDGET_H
#define APPWIDGET_H

#include <QWidget>
#include <QObject>
#include "tabletdesktopbackend.h"

using namespace UKUI;

class AppWidget : public QWidget
{
    Q_OBJECT
public:
    explicit AppWidget(QWidget *parent = nullptr);
    void deleteID(int id);
    ~AppWidget();

    void initUI();

public slots:
    void getSignal();

private:
    TabletDesktopBackend *m_pluginInterface;
    QMap<quint32, BaseItem *> itemInfo;

signals:

};

#endif // APPWIDGET_H
